io.undertow.security.impl

## Class InMemorySingleSignOnManager

- java.lang.Object
- - io.undertow.security.impl.InMemorySingleSignOnManager

All Implemented Interfaces:
  SingleSignOnManager

    public class InMemorySingleSignOnManager
    extends Object
    implements SingleSignOnManager

Author:
  Stuart Douglas, Paul Ferraro

### Constructor Summary

Constructors
Constructor and Description
`InMemorySingleSignOnManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SingleSignOn` `createSingleSignOn(Account account, String mechanism)`
`SingleSignOn` `findSingleSignOn(String ssoId)`
`void` `removeSingleSignOn(SingleSignOn sso)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InMemorySingleSignOnManager

    public InMemorySingleSignOnManager()

### Method Detail

#### findSingleSignOn

    public SingleSignOn findSingleSignOn(String ssoId)

Specified by:
  `findSingleSignOn` in interface `SingleSignOnManager`

#### createSingleSignOn

    public SingleSignOn createSingleSignOn(Account account,
                                           String mechanism)

Specified by:
  `createSingleSignOn` in interface `SingleSignOnManager`

#### removeSingleSignOn

    public void removeSingleSignOn(SingleSignOn sso)

Specified by:
  `removeSingleSignOn` in interface `SingleSignOnManager`